import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { EditFormModule } from '@widgets/example/main6/main6.module';
import { ExampleMain6EditViewPage } from './example-main6-edit-view';


@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: ExampleMain6EditViewPage,
        data: { name: 'exapmple_examplemain6editview' }
      }
    ])
  ],
  exports: [ RouterModule ]
})
export class ExampleMain6EditViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    ExampleMain6EditViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [ExampleMain6EditViewPage],
  entryComponents: [ExampleMain6EditViewPage],
  exports: [ExampleMain6EditViewPage]
})
export class ExampleMain6EditViewModule {}
