import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { EditFormModule } from '@widgets/example/main8/main8.module';
import { ExampleMain8EditViewPage } from './example-main8-edit-view';


@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: ExampleMain8EditViewPage,
        data: { name: 'exapmple_examplemain8editview' }
      }
    ])
  ],
  exports: [ RouterModule ]
})
export class ExampleMain8EditViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    ExampleMain8EditViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [ExampleMain8EditViewPage],
  entryComponents: [ExampleMain8EditViewPage],
  exports: [ExampleMain8EditViewPage]
})
export class ExampleMain8EditViewModule {}
