import { NgZorroAntdModule } from 'ng-zorro-antd';
import { RouterModule } from '@angular/router';
import { NgModule, CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { EditFormModule } from '@widgets/example/main7/main7.module';
import { ExampleMain7EditViewPage } from './example-main7-edit-view';


@NgModule({
  imports: [
    RouterModule.forChild([
      {
        path: '',
        component: ExampleMain7EditViewPage,
        data: { name: 'exapmple_examplemain7editview' }
      }
    ])
  ],
  exports: [ RouterModule ]
})
export class ExampleMain7EditViewRouteModule {}

@NgModule({
  imports: [
    NgZorroAntdModule,
    CommonModule,
    FormsModule,
    ExampleMain7EditViewRouteModule,
    EditFormModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [ExampleMain7EditViewPage],
  entryComponents: [ExampleMain7EditViewPage],
  exports: [ExampleMain7EditViewPage]
})
export class ExampleMain7EditViewModule {}
